From 3e8caafe41970862cd6d55cbe771359984ec999b Mon Sep 17 00:00:00 2001
From: Katsuya Hidaka <hidakatsuya@gmail.com>
Date: Sun, 13 Oct 2024 21:40:26 +0900
Subject: [PATCH 1/2] Replaced icons on the syntax help page with SVG icons

---
 app/assets/stylesheets/wiki_syntax.css        | 20 ++++++++++++-
 .../de/wiki_syntax_common_mark.html.erb       | 28 ++++++++---------
 .../en/wiki_syntax_common_mark.html.erb       | 28 ++++++++---------
 .../ta-in/wiki_syntax_common_mark.html.erb    | 28 ++++++++---------
 .../markdown/bg/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/ca/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/cs/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/de/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/en/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../es-pa/wiki_syntax_markdown.html.erb       | 28 ++++++++---------
 .../markdown/es/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/fr/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/gl/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/ja/wiki_syntax_markdown.html.erb | 26 ++++++++--------
 .../markdown/ko/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../markdown/nl/wiki_syntax_markdown.html.erb | 28 ++++++++---------
 .../pt-br/wiki_syntax_markdown.html.erb       | 28 ++++++++---------
 .../ta-in/wiki_syntax_markdown.html.erb       | 28 ++++++++---------
 .../markdown/uk/wiki_syntax_markdown.html.erb | 26 ++++++++--------
 .../zh-tw/wiki_syntax_markdown.html.erb       | 26 ++++++++--------
 .../textile/bg/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/ca/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/cs/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/de/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/en/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../es-pa/wiki_syntax_textile.html.erb        | 30 +++++++++----------
 .../textile/es/wiki_syntax_textile.html.erb   | 30 +++++++++----------
 .../textile/fr/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/gl/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/ja/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/ko/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/lt/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../textile/nl/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../pt-br/wiki_syntax_textile.html.erb        | 28 ++++++++---------
 .../textile/ru/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../ta-in/wiki_syntax_textile.html.erb        | 28 ++++++++---------
 .../textile/uk/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 .../zh-tw/wiki_syntax_textile.html.erb        | 28 ++++++++---------
 .../textile/zh/wiki_syntax_textile.html.erb   | 28 ++++++++---------
 39 files changed, 550 insertions(+), 532 deletions(-)

diff --git a/app/views/help/wiki_syntax/common_mark/de/wiki_syntax_common_mark.html.erb b/app/views/help/wiki_syntax/common_mark/de/wiki_syntax_common_mark.html.erb
index 8a8ceff9d..ac801c585 100644
--- a/app/views/help/wiki_syntax/common_mark/de/wiki_syntax_common_mark.html.erb
+++ b/app/views/help/wiki_syntax/common_mark/de/wiki_syntax_common_mark.html.erb
@@ -11,11 +11,11 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Schriftarten <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %></th><td style="width:50%;">**Fett**</td><td style="width:50%;"><strong>Fett</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>*Kursiv*</td><td><em>Kursiv</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>~~Durchgestrichen~~</td><td><del>Durchgestrichen</del></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>`Inline Code`</td><td><code>Inline Code</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>```<br />&nbsp;vorformatierte<br />&nbsp;Textzeilen<br />```</td><td>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %></th><td style="width:50%;">**Fett**</td><td style="width:50%;"><strong>Fett</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>*Kursiv*</td><td><em>Kursiv</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>~~Durchgestrichen~~</td><td><del>Durchgestrichen</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>`Inline Code`</td><td><code>Inline Code</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>```<br />&nbsp;vorformatierte<br />&nbsp;Textzeilen<br />```</td><td>
 <pre>
  vorformatierte
  Textzeilen
@@ -23,7 +23,7 @@
 </td></tr>
 
 <tr><th colspan="3">Hervorgehobener Programmcode <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Hervorgehobener Programmcode" }) %></th><td>```ruby<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />```</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Hervorgehobener Programmcode" }) %></th><td>```ruby<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />```</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -35,14 +35,14 @@
 <tr><th></th><td>Beenden Sie eine Zeile mit einem Backslash\<br>oder zwei Leerzeichen, um einen manuellen Zeilenumbruch einzufügen.</td><td><p>	Beenden Sie eine Zeile mit einem Backslash<br>oder zwei Leerzeichen, um einen manuellen Zeilenumbruch einzufügen.</p></td></tr>
 
 <tr><th colspan="3">Listen</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt:"Ungeordnete Liste" }) %></th><td>* Element 1<br />&nbsp;&nbsp;* Sub<br />* Element 2</td><td><ul><li>Element 1<ul><li>Sub</li></ul></li><li>Element 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt:"Geordnete Liste" }) %></th><td>1. Element 1<br />&nbsp;&nbsp;&nbsp;1. Sub<br />2. Element 2</td><td><ol><li>Element 1<ol><li>Sub</li></ol></li><li>Element 2</li></ol></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_tl.png", { alt:"Ausgabenliste" }) %></th><td>* [ ] Element 1<br />* [x] Element 2</td><td><ul style="list-style-type: none; padding-left: 12px;"><li><input type="checkbox" disabled>Element 1</li><li><input type="checkbox" disabled checked>Element 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt:"Ungeordnete Liste" }) %></th><td>* Element 1<br />&nbsp;&nbsp;* Sub<br />* Element 2</td><td><ul><li>Element 1<ul><li>Sub</li></ul></li><li>Element 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt:"Geordnete Liste" }) %></th><td>1. Element 1<br />&nbsp;&nbsp;&nbsp;1. Sub<br />2. Element 2</td><td><ol><li>Element 1<ol><li>Sub</li></ol></li><li>Element 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-check.svg", { alt:"Ausgabenliste" }) %></th><td>* [ ] Element 1<br />* [x] Element 2</td><td><ul style="list-style-type: none; padding-left: 12px;"><li><input type="checkbox" disabled>Element 1</li><li><input type="checkbox" disabled checked>Element 2</li></ul></td></tr>
 
 <tr><th colspan="3">Überschriften <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt:"Heading 1" }) %></th><td># Titel 1</td><td><h1>Titel 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt:"Heading 2" }) %></th><td>## Titel 2</td><td><h2>Titel 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt:"Heading 3" }) %></th><td>### Titel 3</td><td><h3>Titel 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt:"Heading 1" }) %></th><td># Titel 1</td><td><h1>Titel 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt:"Heading 2" }) %></th><td>## Titel 2</td><td><h2>Titel 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt:"Heading 3" }) %></th><td>### Titel 3</td><td><h3>Titel 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">mehr</a>)</span></th></tr>
 <tr><th></th><td>www.foo.bar</td><td><a href="#">www.foo.bar</a></td></tr>
@@ -50,7 +50,7 @@
 <tr><th></th><td>[Foo](http://foo.bar)</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine interne Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt:"Link zu einer Wiki-Seite" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki-Seite</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt:"Link zu einer Wiki-Seite" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki-Seite</a></td></tr>
 <tr><th></th><td>Ticket #12</td><td>Ticket <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Fehler #12</a>: Titel des Tickets</td></tr>
 <tr><th></th><td>Revision r43</td><td>Revision <a href="#">r43</a></td></tr>
@@ -58,7 +58,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Eingebettete Bilder <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">mehr</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt:"Image" }) %></th><td>![](<em>Bild_url</em>)</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt:"Image" }) %></th><td>![](<em>Bild_url</em>)</td><td></td></tr>
 <tr><th></th><td>![](<em>Angehängtes_Bild</em>)</td><td></td></tr>
 
 <tr><th colspan="3">Tabellen</th></tr>
diff --git a/app/views/help/wiki_syntax/common_mark/en/wiki_syntax_common_mark.html.erb b/app/views/help/wiki_syntax/common_mark/en/wiki_syntax_common_mark.html.erb
index c75dacbe9..486b96424 100644
--- a/app/views/help/wiki_syntax/common_mark/en/wiki_syntax_common_mark.html.erb
+++ b/app/views/help/wiki_syntax/common_mark/en/wiki_syntax_common_mark.html.erb
@@ -11,11 +11,11 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Font Styles <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %></th><td style="width:50%;">**Strong**</td><td style="width:50%;"><strong>Strong</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>*Italic*</td><td><em>Italic</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>~~Deleted~~</td><td><del>Deleted</del></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>`Inline Code`</td><td><code>Inline Code</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>```<br />&nbsp;lines<br />&nbsp;of code<br />```</td><td>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %></th><td style="width:50%;">**Strong**</td><td style="width:50%;"><strong>Strong</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>*Italic*</td><td><em>Italic</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>~~Deleted~~</td><td><del>Deleted</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>`Inline Code`</td><td><code>Inline Code</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>```<br />&nbsp;lines<br />&nbsp;of code<br />```</td><td>
 <pre>
  lines
  of code
@@ -23,7 +23,7 @@
 </td></tr>
 
 <tr><th colspan="3">Highlighted code <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>```ruby<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />```</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>```ruby<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />```</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -35,14 +35,14 @@
 <tr><th></th><td>End a line with a backslash\<br> or two spaces to insert a manual line break.</td><td><p>End a line with a backslash<br>or two spaces to insert a manual line break.</p></td></tr>
 
 <tr><th colspan="3">Lists</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unordered list" }) %></th><td>* Item 1<br />&nbsp;&nbsp;* Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Ordered list" }) %></th><td>1. Item 1<br />&nbsp;&nbsp;&nbsp;1. Sub<br />2. Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_tl.png", { alt: "Task list" }) %></th><td>* [ ] Item 1<br />* [x] Item 2</td><td><ul style="list-style-type: none; padding-left: 12px;"><li><input type="checkbox" disabled>Item 1</li><li><input type="checkbox" disabled checked>Item 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unordered list" }) %></th><td>* Item 1<br />&nbsp;&nbsp;* Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Ordered list" }) %></th><td>1. Item 1<br />&nbsp;&nbsp;&nbsp;1. Sub<br />2. Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-check.svg", { alt: "Task list" }) %></th><td>* [ ] Item 1<br />* [x] Item 2</td><td><ul style="list-style-type: none; padding-left: 12px;"><li><input type="checkbox" disabled>Item 1</li><li><input type="checkbox" disabled checked>Item 2</li></ul></td></tr>
 
 <tr><th colspan="3">Headings <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Heading 1" }) %></th><td># Title 1</td><td><h1>Title 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Heading 2" }) %></th><td>## Title 2</td><td><h2>Title 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Heading 3" }) %></th><td>### Title 3</td><td><h3>Title 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Heading 1" }) %></th><td># Title 1</td><td><h1>Title 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Heading 2" }) %></th><td>## Title 2</td><td><h2>Title 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Heading 3" }) %></th><td>### Title 3</td><td><h3>Title 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">more</a>)</span></th></tr>
 <tr><th></th><td>www.foo.bar</td><td><a href="#">www.foo.bar</a></td></tr>
@@ -50,7 +50,7 @@
 <tr><th></th><td>[Foo](http://foo.bar)</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
 <tr><th></th><td>Issue #12</td><td>Issue <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: The issue subject</td></tr>
 <tr><th></th><td>Revision r43</td><td>Revision <a href="#">r43</a></td></tr>
@@ -58,7 +58,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Inline images <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Image" }) %></th><td>![](<em>image_url</em>)</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Image" }) %></th><td>![](<em>image_url</em>)</td><td></td></tr>
 <tr><th></th><td>![](<em>attached_image</em>)</td><td></td></tr>
 
 <tr><th colspan="3">Tables</th></tr>
diff --git a/app/views/help/wiki_syntax/common_mark/ta-in/wiki_syntax_common_mark.html.erb b/app/views/help/wiki_syntax/common_mark/ta-in/wiki_syntax_common_mark.html.erb
index 712bea94b..6a845b6e7 100644
--- a/app/views/help/wiki_syntax/common_mark/ta-in/wiki_syntax_common_mark.html.erb
+++ b/app/views/help/wiki_syntax/common_mark/ta-in/wiki_syntax_common_mark.html.erb
@@ -10,11 +10,11 @@
 
 <table style="width:100%">
   <tr><th colspan="3">எழுத்துரு பாங்குகள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">மேலும்</a>)</span></th></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %><</th><td style="width:50%;">**வலுவான**</td><td style="width:50%;"><strong>வலுவான</strong></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>*சாய்வு*</td><td><em>சாய்வு</em></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>~~நீக்கப்பட்டது~~</td><td><del>நீக்கப்பட்டது</del></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>`இன்லைன் குறியீடு`</td><td><code>இன்லைன் குறியீட</code></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>```<br />&nbsp;lines<br />&nbsp;of code<br />```</td><td>
+  <tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %><</th><td style="width:50%;">**வலுவான**</td><td style="width:50%;"><strong>வலுவான</strong></td></tr>
+  <tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>*சாய்வு*</td><td><em>சாய்வு</em></td></tr>
+  <tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>~~நீக்கப்பட்டது~~</td><td><del>நீக்கப்பட்டது</del></td></tr>
+  <tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>`இன்லைன் குறியீடு`</td><td><code>இன்லைன் குறியீட</code></td></tr>
+  <tr><th><span class="syntax-pre"/></th><td>```<br />&nbsp;lines<br />&nbsp;of code<br />```</td><td>
 <pre>
  கோடுகள்
  குறியீடு
@@ -22,7 +22,7 @@
   </td></tr>
 
   <tr><th colspan="3">முன்னிலைப்படுத்தப்பட்ட குறியீடு <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">மேலும்</a>)</span></th></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>```ruby<br />3.முறை do<br />&nbsp;&nbsp;puts 'வணக்கம்'<br />முடிவு<br />```</td><td>
+  <tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>```ruby<br />3.முறை do<br />&nbsp;&nbsp;puts 'வணக்கம்'<br />முடிவு<br />```</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">முறை</span> <span class="k">do</span>
   <span class="nb">வைக்கிறது</span> <span class="s1">'வணக்கம்'</span>
 <span class="k">முடிவு</span>
@@ -34,14 +34,14 @@
   <tr><th></th><td>backslash மூலம் ஒரு வரியை முடிக்கவும்\<br> அல்லது கையேடு வரி முறிவைச் செருக இரண்டு இடைவெளிகள்.</td><td><p>backslash மூலம் ஒரு வரியை முடிக்கவும்<br>அல்லது கையேடு வரி முறிவைச் செருக இரண்டு இடைவெளிகள்.</p></td></tr>
 
   <tr><th colspan="3">பட்டியல்கள்</th></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unordered list" }) %></th><td>* பொருள் 1<br />&nbsp;&nbsp;* துணை<br />* பொருள் 2</td><td><ul><li>பொருள் 1<ul><li>துணை</li></ul></li><li>பொருள் 2</li></ul></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Ordered list" }) %></th><td>1. பொருள் 1<br />&nbsp;&nbsp;&nbsp;1. துணை<br />2. பொருள் 2</td><td><ol><li>பொருள் 1<ol><li>துணை</li></ol></li><li>பொருள் 2</li></ol></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_tl.png", { alt: "Task list" }) %></th><td>* [ ] பொருள் 1<br />* [x] பொருள் 2</td><td><ul style="list-style-type: none; padding-left: 12px;"><li><input type="checkbox" disabled>பொருள் 1</li><li><input type="checkbox" disabled checked>பொருள் 2</li></ul></td></tr>
+  <tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unordered list" }) %></th><td>* பொருள் 1<br />&nbsp;&nbsp;* துணை<br />* பொருள் 2</td><td><ul><li>பொருள் 1<ul><li>துணை</li></ul></li><li>பொருள் 2</li></ul></td></tr>
+  <tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Ordered list" }) %></th><td>1. பொருள் 1<br />&nbsp;&nbsp;&nbsp;1. துணை<br />2. பொருள் 2</td><td><ol><li>பொருள் 1<ol><li>துணை</li></ol></li><li>பொருள் 2</li></ol></td></tr>
+  <tr><th><%= image_tag("jstoolbar/list-check.svg", { alt: "Task list" }) %></th><td>* [ ] பொருள் 1<br />* [x] பொருள் 2</td><td><ul style="list-style-type: none; padding-left: 12px;"><li><input type="checkbox" disabled>பொருள் 1</li><li><input type="checkbox" disabled checked>பொருள் 2</li></ul></td></tr>
 
   <tr><th colspan="3">தலைப்புகள் <span class="more_info">(<a href="wiki_syntax_detailed_common_mark.html#8" target="_blank">மேலும்</a>)</span></th></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Heading 1" }) %></th><td># தலைப்பு 1</td><td><h1>தலைப்பு 1</h1></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Heading 2" }) %></th><td>## தலைப்பு 2</td><td><h2>தலைப்பு 2</h2></td></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Heading 3" }) %></th><td>### தலைப்பு 3</td><td><h3>தலைப்பு 3</h3></td></tr>
+  <tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Heading 1" }) %></th><td># தலைப்பு 1</td><td><h1>தலைப்பு 1</h1></td></tr>
+  <tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Heading 2" }) %></th><td>## தலைப்பு 2</td><td><h2>தலைப்பு 2</h2></td></tr>
+  <tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Heading 3" }) %></th><td>### தலைப்பு 3</td><td><h3>தலைப்பு 3</h3></td></tr>
 
   <tr><th colspan="3">இணைப்புகள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">மேலும்</a>)</span></th></tr>
   <tr><th></th><td>www.foo.bar</td><td><a href="#">www.foo.bar</a></td></tr>
@@ -49,7 +49,7 @@
   <tr><th></th><td>[Foo](http://foo.bar)</td><td><a href="#">Foo</a></td></tr>
 
   <tr><th colspan="3">Redmine இணைப்புகள்<span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">மேலும்</a>)</span></th></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link to a Wiki page" }) %></th><td>[[விக்கி பக்கம்]]</td><td><a href="#">விக்கி பக்கம்</a></td></tr>
+  <tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link to a Wiki page" }) %></th><td>[[விக்கி பக்கம்]]</td><td><a href="#">விக்கி பக்கம்</a></td></tr>
   <tr><th></th><td>பிரச்சினை #12</td><td>பிரச்சினை <a href="#">#12</a></td></tr>
   <tr><th></th><td>##12</td><td><a href="#">பிழை #12</a>: பிரச்சினை பொருள்</td></tr>
   <tr><th></th><td>திருத்தம் r43</td><td>திருத்தம் <a href="#">r43</a></td></tr>
@@ -57,7 +57,7 @@
   <tr><th></th><td>ஆதாரம்:some/file</td><td><a href="#">ஆதாரம்:some/file</a></td></tr>
 
   <tr><th colspan="3">இன்லைன் படங்கள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">மேலும்</a>)</span></th></tr>
-  <tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Image" }) %></th><td>![](<em>image_url</em>)</td><td></td></tr>
+  <tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Image" }) %></th><td>![](<em>image_url</em>)</td><td></td></tr>
   <tr><th></th><td>![](<em>attached_image</em>)</td><td></td></tr>
 
   <tr><th colspan="3">அட்டவணைகள்</th></tr>
diff --git a/app/views/help/wiki_syntax/markdown/bg/wiki_syntax_markdown.html.erb b/app/views/help/wiki_syntax/markdown/bg/wiki_syntax_markdown.html.erb
index 0c75cb7e2..35c485737 100644
--- a/app/views/help/wiki_syntax/markdown/bg/wiki_syntax_markdown.html.erb
+++ b/app/views/help/wiki_syntax/markdown/bg/wiki_syntax_markdown.html.erb
@@ -11,12 +11,12 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Font Styles <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %></th><td style="width:50%;">**Strong**</td><td style="width:50%;"><strong>Strong</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>*Italic*</td><td><em>Italic</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Underline" }) %></th><td>_Underline_</td><td><ins>Underline</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>~~Deleted~~</td><td><del>Deleted</del></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>`Inline Code`</td><td><code>Inline Code</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>```<br />&nbsp;lines<br />&nbsp;of code<br />```</td><td>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %></th><td style="width:50%;">**Strong**</td><td style="width:50%;"><strong>Strong</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>*Italic*</td><td><em>Italic</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Underline" }) %></th><td>_Underline_</td><td><ins>Underline</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>~~Deleted~~</td><td><del>Deleted</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>`Inline Code`</td><td><code>Inline Code</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>```<br />&nbsp;lines<br />&nbsp;of code<br />```</td><td>
 <pre>
  lines
  of code
@@ -24,7 +24,7 @@
 </td></tr>
 
 <tr><th colspan="3">Highlighted code <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Вграден код" }) %></th><td>``` ruby<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />```</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Вграден код" }) %></th><td>``` ruby<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />```</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -32,20 +32,20 @@
 </td></tr>
 
 <tr><th colspan="3">Lists</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unordered list" }) %></th><td>* Item 1<br />&nbsp;&nbsp;* Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Ordered list" }) %></th><td>1. Item 1<br />&nbsp;&nbsp;&nbsp;1. Sub<br />2. Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unordered list" }) %></th><td>* Item 1<br />&nbsp;&nbsp;* Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Ordered list" }) %></th><td>1. Item 1<br />&nbsp;&nbsp;&nbsp;1. Sub<br />2. Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
 
 <tr><th colspan="3">Headings <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Heading 1" }) %></th><td># Title 1</td><td><h1>Title 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Heading 2" }) %></th><td>## Title 2</td><td><h2>Title 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Heading 3" }) %></th><td>### Title 3</td><td><h3>Title 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Heading 1" }) %></th><td># Title 1</td><td><h1>Title 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Heading 2" }) %></th><td>## Title 2</td><td><h2>Title 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Heading 3" }) %></th><td>### Title 3</td><td><h3>Title 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">more</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>[Foo](http://foo.bar)</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
 <tr><th></th><td>Issue #12</td><td>Issue <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: The issue subject</td></tr>
 <tr><th></th><td>Revision r43</td><td>Revision <a href="#">r43</a></td></tr>
@@ -53,7 +53,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Inline images <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Image" }) %></th><td>![](<em>image_url</em>)</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Image" }) %></th><td>![](<em>image_url</em>)</td><td></td></tr>
 <tr><th></th><td>![](<em>attached_image</em>)</td><td></td></tr>
 
 <tr><th colspan="3">Tables</th></tr>
